searchNodes=[{"doc":"","ref":"WorkOS.html","title":"WorkOS","type":"module"},{"doc":"","ref":"WorkOS.html#adapter/0","title":"WorkOS.adapter/0","type":"function"},{"doc":"","ref":"WorkOS.html#api_key/1","title":"WorkOS.api_key/1","type":"function"},{"doc":"","ref":"WorkOS.html#base_url/0","title":"WorkOS.base_url/0","type":"function"},{"doc":"","ref":"WorkOS.html#client_id/1","title":"WorkOS.client_id/1","type":"function"},{"doc":"","ref":"WorkOS.html#host/0","title":"WorkOS.host/0","type":"function"},{"doc":"Provides core API communication and data processing functionality.","ref":"WorkOS.Api.html","title":"WorkOS.Api","type":"module"},{"doc":"Generates the Tesla client used to make requests to WorkOS","ref":"WorkOS.Api.html#client/1","title":"WorkOS.Api.client/1","type":"function"},{"doc":"Performs a GET request","ref":"WorkOS.Api.html#get/3","title":"WorkOS.Api.get/3","type":"function"},{"doc":"Handles request errors","ref":"WorkOS.Api.html#handle_error/1","title":"WorkOS.Api.handle_error/1","type":"function"},{"doc":"Processes the HTTP response Converts non-200 responses (400+ status code) into error tuples","ref":"WorkOS.Api.html#handle_response/1","title":"WorkOS.Api.handle_response/1","type":"function"},{"doc":"Performs a POST request","ref":"WorkOS.Api.html#post/3","title":"WorkOS.Api.post/3","type":"function"},{"doc":"","ref":"WorkOS.Api.html#process_params/3","title":"WorkOS.Api.process_params/3","type":"function"},{"doc":"Performs data transformations on the response body to remove JSON fluff","ref":"WorkOS.Api.html#process_response/1","title":"WorkOS.Api.process_response/1","type":"function"},{"doc":"The Directory Sync module provides convenience methods for working with the WorkOS Directory Sync platform. You'll need a valid API key and to have created a Directory Sync connection on your WorkOS dashboard.@see https://docs.workos.com/directory-sync/overview","ref":"WorkOS.DirectorySync.html","title":"WorkOS.DirectorySync","type":"module"},{"doc":"Retrieve the directory group with the given ID.Parametersgroup (string) the id of the group to retrieveExampleWorkOS.DirectorySync.get_group(&quot;directory_group_12345&quot;)","ref":"WorkOS.DirectorySync.html#get_group/2","title":"WorkOS.DirectorySync.get_group/2","type":"function"},{"doc":"Retrieve the directory group with the given ID.Parametersuser (string) the id of the user to retrieveExampleWorkOS.DirectorySync.get_user(&quot;directory_user_12345&quot;)","ref":"WorkOS.DirectorySync.html#get_user/2","title":"WorkOS.DirectorySync.get_user/2","type":"function"},{"doc":"Retrieve directories.Parametersparams (map)domain (string) the id of the domain to list directories forsearch (string) the keyword to search directories forExampleWorkOS.DirectorySync.list_directories(%{domain: &quot;workos.com&quot;})","ref":"WorkOS.DirectorySync.html#list_directories/2","title":"WorkOS.DirectorySync.list_directories/2","type":"function"},{"doc":"Retrieve directory groups.Parametersparams (map)directory (string) the id of the directory to list groups foruser (string) the id of the user to list groups forExampleWorkOS.DirectorySync.list_groups(%{directory: &quot;directory_12345&quot;})","ref":"WorkOS.DirectorySync.html#list_groups/2","title":"WorkOS.DirectorySync.list_groups/2","type":"function"},{"doc":"Retrieve directory users.Parametersparams (map)directory (string) the id of the directory to list users forgroup (string) the id of the group to list users forExampleWorkOS.DirectorySync.list_users(%{directory: &quot;directory_12345&quot;})","ref":"WorkOS.DirectorySync.html#list_users/2","title":"WorkOS.DirectorySync.list_users/2","type":"function"},{"doc":"The Passwordless module provides convenience methods for working with passwordless sessions including the WorkOS Magic Link. You'll need a valid API key.@see https://workos.com/docs/sso/configuring-magic-link","ref":"WorkOS.Passwordless.html","title":"WorkOS.Passwordless","type":"module"},{"doc":"Create a Passwordless Session.Parametersparams (map)email (string) The email of the user to authenticate.state (string) Optional parameter that the redirect URI received from WorkOS will contain. The state parameter can be used to encode arbitrary information to help restore application state between redirects.type (string) The type of Passwordless Session to create. Currently, the only supported value is 'MagicLink'.redirect_uri (string) The URI where users are directed after completing the authentication step. Must match a configured redirect URI on your WorkOS dashboard.ExampleWorkOS.Passwordless.create_session(%{ email: &quot;example@workos.com&quot;, redirect_uri: &quot;https://workos.com/passwordless&quot; })","ref":"WorkOS.Passwordless.html#create_session/2","title":"WorkOS.Passwordless.create_session/2","type":"function"},{"doc":"Send a Passwordless Session via email.Parameterssession_id (string) The unique identifier of the Passwordless Session to send an email for.ExampleWorkOS.Passwordless.send_session(&quot;passwordless_session_12345&quot;)","ref":"WorkOS.Passwordless.html#send_session/2","title":"WorkOS.Passwordless.send_session/2","type":"function"},{"doc":"The Portal module provides resource methods for working with the Admin Portal product@see https://workos.com/docs/admin-portal/guide","ref":"WorkOS.Portal.html","title":"WorkOS.Portal","type":"module"},{"doc":"Create an organizationParametersparams (map)domains (list of strings) List of domains that belong to the organizationname (string) A unique, descriptive name for the organizationExampleWorkOS.Portal.create_organization(%{ domains: [&quot;workos.com&quot;], name: &quot;WorkOS&quot; })","ref":"WorkOS.Portal.html#create_organization/2","title":"WorkOS.Portal.create_organization/2","type":"function"},{"doc":"Generate a link to grant access to an organization's Admin PortalParametersparams (map)intent (string) The access scope for the generated Admin Portal link. Valid values are: [&quot;sso&quot;]organization (string) The ID of the organization the Admin Portal link will be generated for.return_url (string) The URL that the end user will be redirected to upon exiting the generated Admin Portal. If none is provided, the default redirect link set in your WorkOS Dashboard will be used.ExampleWorkOS.Portal.generate_link(%{ intent: &quot;sso&quot;, organization: &quot;org_1234&quot; })","ref":"WorkOS.Portal.html#generate_link/2","title":"WorkOS.Portal.generate_link/2","type":"function"},{"doc":"Retrieve a list of organizations that have connections configured within your WorkOS dashboard.Parametersparams (map)domains (array of strings) Filter organizations to only return those that are associated with the provided domains.before (string) A pagination argument used to request organizations before the provided Organization ID.after (string) A pagination argument used to request organizations after the provided Organization ID.limit (integer) A pagination argument used to limit the number of listed Organizations that are returned.ExampleWorkOS.Portal.list_organizations()","ref":"WorkOS.Portal.html#list_organizations/2","title":"WorkOS.Portal.list_organizations/2","type":"function"},{"doc":"The SSO module provides convenience methods for working with the WorkOS SSO platform. You'll need a valid API key, a client ID, and to have created an SSO connection on your WorkOS dashboard.@see https://docs.workos.com/sso/overview","ref":"WorkOS.SSO.html","title":"WorkOS.SSO","type":"module"},{"doc":"Create a ConnectionParameterssource (source) The Draft Connection token that's been provided to you by WorkOS.jsExampleWorkOS.SSO.create_connection('draft_conn_12345')","ref":"WorkOS.SSO.html#create_connection/2","title":"WorkOS.SSO.create_connection/2","type":"function"},{"doc":"Generate an Oauth2 authorization URL where your users will authenticate using the configured SSO Identity Provider.Parametersparams (map)domain (string) The domain for the relevant SSO Connection configured on your WorkOS dashboard. One of provider or domain is requiredprovider (string) A provider name for an Identity Provider configured on your WorkOS dashboard. Only 'Google' is supported.connection (string) Unique identifier for a WorkOS Connectionclient_id (string) Client ID for a WorkOS Environment. This value can be found in the WorkOS dashboard.redirect_uri (string) The URI where users are directed after completing the authentication step. Must match a configured redirect URI on your WorkOS dashboard.state (string) An aribtrary state object that is preserved and available to the client in the response.ExampleWorkOS.SSO.get_authorization_url(%{ domain: &quot;workos.com&quot;, redirect_uri: &quot;https://workos.com&quot; })","ref":"WorkOS.SSO.html#get_authorization_url/2","title":"WorkOS.SSO.get_authorization_url/2","type":"function"},{"doc":"Fetch the profile details for the authenticated SSO user.Parameterscode (string) The authorization code provided in the callback URLExampleWorkOS.SSO.get_profile(&quot;12345&quot;)","ref":"WorkOS.SSO.html#get_profile/2","title":"WorkOS.SSO.get_profile/2","type":"function"},{"doc":"Note: this SDK is currently in beta and breaking changes may occur. Please create an issue if you come across a bug.workos-elixirWorkOS official Elixir package for interacting with WorkOS APIs","ref":"readme.html","title":"workos-elixir","type":"extras"},{"doc":"Complete documentation for the latest version of WorkOS Ruby Gem can be found here.","ref":"readme.html#documentation","title":"workos-elixir - Documentation","type":"extras"},{"doc":"Add this package to the list of dependencies in your mix.exs file:def deps do [{:workos, &quot;~&gt; 0.1.2&quot;}] endThe hex package can be found here: https://hex.pm/packages/workos","ref":"readme.html#installation","title":"workos-elixir - Installation","type":"extras"},{"doc":"The WorkOS API relies on two configuration parameters, the client_id and the api_key. There are two ways to configure these values with this package.Recommended MethodIn your config/config.exs file you can set the :client_id and :api_key scoped to :workos to be used globally by default across the SDK:config :workos, client_id: &quot;project_12345&quot; api_key: &quot;sk_12345&quot;,Ideally, you should use environment variables to store protected keys like your :api_key like so:config :workos, client_id: System.get_env(&quot;WORKOS_CLIENT_ID&quot;), api_key: System.get_env(&quot;WORKOS_API_KEY&quot;)Opts MethodAlternatively, you can override or avoid using these globally configured variables by passing a :api_key or :client_id directly to SDK methods via the optional opts parameter available on all methods:WorkOS.SSO.get_authorization_url(%{ domain: &quot;workos.com&quot;, redirect_uri: &quot;https://workos.com&quot; }, [ client_id: &quot;project_12345&quot;, api_key: &quot;sk_12345&quot; ])This is great if you need to switch client IDs on the fly.","ref":"readme.html#configuration","title":"workos-elixir - Configuration","type":"extras"},{"doc":"PasswordlessThe Magic Link Module provides methods for authenticating a Passwordless user via WorkOS.See our API Reference for more information on Passwordless.SSOThe SSO Module provides convenient methods for authenticating a Single Sign On (SSO) user via WorkOS. WorkOS SSO follows the OAuth 2.0 specification.See our API Reference for more information on SSO.PortalSee our API Reference for more information on Portal.Directory SyncSee our API Reference for more information on Directory Sync.","ref":"readme.html#supported-functionality","title":"workos-elixir - Supported Functionality","type":"extras"}]